Name:		cgoban
Version:	1.9.14
Release:	%mkrel 17

Summary:	A Go game client
License:	GPLv2+
Group:		Games/Boards
URL:		http://cgoban1.sourceforge.net/
Source:		http://sourceforge.net/projects/cgoban1/%{name}-%{version}.tar.bz2
Buildrequires:	imagemagick
BuildRequires:	libx11-devel
Obsoletes:	cgoban1

%description
Cgoban (Complete Goban) is for Unix systems with X11.  It has the ability
to be a computerized go board, view and edit smart-go files, and connect to
go servers on the Internet.
Cgoban is also a smart interface for GNU Go.

%prep
%setup -q

%build
sed -i -e 's|\"./goDummy\"|\"/usr/games/gnugo --quiet\"|' src/cgoban.c
sed -i -e "s|-O2 -fomit-frame-pointer|%{optflags}|g" configure
chmod +x configure
%configure2_5x
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man6
mkdir -p %{buildroot}/%{_iconsdir}{,/mini,/large}
%makeinstall_std
cp cgoban_icon.png %{buildroot}/%{_iconsdir}/large/cgoban.png
convert cgoban_icon.png -resize 24x24 %{buildroot}/%{_iconsdir}/cgoban.png 
convert cgoban_icon.png -resize 16x16 %{buildroot}/%{_iconsdir}/mini/cgoban.png 

mkdir -p %{buildroot}/%{_datadir}/applications
cat > %{buildroot}/%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=CGoban
Comment=Graphical game of Go
Exec=%{_bindir}/%{name}
Icon=cgoban
Terminal=false
Type=Application
Categories=Game;BoardGame;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,755)
%doc README TODO seigen-minoru.sgf
%{_bindir}/*
%{_mandir}/man6/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/cgoban.png
%{_iconsdir}/*/cgoban.png


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.9.14-17.mga4
+ Revision: 503317
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.9.14-16.mga3
+ Revision: 347631
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 29 2011 fwang <fwang> 1.9.14-15.mga2
+ Revision: 150153
- cleanup br

* Mon Mar 14 2011 andre999 <andre999> 1.9.14-14.mga1
+ Revision: 71363
- imported package cgoban


* Wed Mar 09 2011 andre999 <andre999@mageia.org> 1.9.14-14mga1
- import from mdv + clean
- change name of package and icons from cgoban1 to cgoban (upstream name)
- build with sed in-place
- create icons dynamically instead of extra sources (add imagemagick Buildrequires)

* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.14-13mdv2011.0
+ Revision: 616994
- the mass rebuild of 2010.0 packages

* Wed Sep 02 2009 Thierry Vignaud <tv@mandriva.org> 1.9.14-12mdv2010.0
+ Revision: 424797
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.9.14-11mdv2009.0
+ Revision: 243479
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Mar 25 2008 Pascal Terjan <pterjan@mandriva.org> 1.9.14-9mdv2008.1
+ Revision: 189892
- Convert the description into UTF-8

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 02 2007 Funda Wang <fwang@mandriva.org> 1.9.14-8mdv2008.1
+ Revision: 114364
- rebuild for new era

  + Thierry Vignaud <tv@mandriva.org>
    - kill hardcoded icon extension
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Tue Jan 09 2007 Pascal Terjan <pterjan@mandriva.org> 1.9.14-7mdv2007.0
+ Revision: 106212
- Use autoconf 2.5
- XDG menu
- Import cgoban1

* Wed May 10 2006 Pascal Terjan <pterjan@mandriva.org> 1.9.14-6mdk
- mkrel

* Tue Mar 15 2005 Pascal Terjan <pterjan@mandrake.org> 1.9.14-5mdk
- rebuild to get the right menu section

* Sat May 15 2004 Pascal Terjan <pterjan@mandrake.org> 1.9.14-4mdk
- Rebuild
- use macros
- use cgoban1 for menu and icon
- add normal and mini icon

